<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-trilha-heading" data-cy="TrilhaCreateUpdateHeading" jhiTranslate="matrixApp.trilha.home.createOrEditLabel">
        Criar ou editar Trilha
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="matrixApp.trilha.id" for="field_id">Id</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.trilha.conteudo" for="field_conteudo">Conteudo</label>
          <select
            class="form-control"
            id="field_conteudo"
            data-cy="conteudo"
            name="conteudo"
            formControlName="conteudo"
            [compareWith]="compareConteudo"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="conteudoOption" *ngFor="let conteudoOption of conteudosSharedCollection">{{ conteudoOption.id }}</option>
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.trilha.periodo" for="field_periodo">Periodo</label>
          <select
            class="form-control"
            id="field_periodo"
            data-cy="periodo"
            name="periodo"
            formControlName="periodo"
            [compareWith]="comparePeriodo"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="periodoOption" *ngFor="let periodoOption of periodosSharedCollection">{{ periodoOption.id }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancelar</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Salvar</span>
        </button>
      </div>
    </form>
  </div>
</div>
